# eric3.VCS.mercurialPackage.NewProjectDialog

Module implementing the Mercurial Options Dialog for a new project from the repository.

### Classes

HgNewProjectOptionsDialog | Class implementing the Options Dialog for a new project from the repository.

### Functions

None

## HgNewProjectOptionsDialog

Class implementing the Options Dialog for a new project from the repository.

### Derived from

HgNewProjectOptionsForm

### Methods

HgNewProjectOptionsDialog | Constructor
getData | Public slot to retrieve the data entered into the dialog.
handleDirectory | Private slot to display a directory selection dialog.
handleProjectDir | Private slot to display a directory selection dialog.
handleProtocol | Private slot to switch the status of the directory selection button.

### HgNewProjectOptionsDialog (Constructor)

HgNewProjectOptionsDialog(parent=None)

Constructor

parent
  parent widget (QWidget)

### HgNewProjectOptionsDialog.getData

getData()

Public slot to retrieve the data entered into the dialog.

Returns:
  a tuple of a string (project directory) and a dictionary containing the data entered.

### HgNewProjectOptionsDialog.handleDirectory

handleDirectory()

Private slot to display a directory selection dialog.

### HgNewProjectOptionsDialog.handleProjectDir

handleProjectDir()

Private slot to display a directory selection dialog.

### HgNewProjectOptionsDialog.handleProtocol

handleProtocol(protocol)

Private slot to switch the status of the directory selection button.

Up